<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org" xmlns:sec="https://www.thymeleaf.org/thymeleaf-extras-springsecurity5">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Map</title>
    <object th:include="fragments/fragment :: css" th:remove="tag"></object>
    <object th:include="fragments/fragment :: js" th:remove="tag"></object>
</head>
<body style="background-color: black">

<p style="color: white; text-align:center">Cari Penjual Roti</p>

<div id="googleMap" style="width:100%;height:400px;"></div>
<div class="container">
    <div class="row">
        <div class="col text-center">
            <a th:href="@{/home}" class="btn btn-warning btn-lg active" role="button" aria-pressed="true">Kembali</a>
        </div>
    </div>
</div>
<div style="text-align:center">
        <span style="color:white; size:48">
            Cari
        </span>
    <span style="color:orange; size:48">
            Roti
        </span>
</div>
<script>
function myMap() {
var mapProp= {
  center:new google.maps.LatLng(-6.362764,106.827049),
  zoom:14,
};
var map = new google.maps.Map(document.getElementById("googleMap"),mapProp);


marker = new google.maps.Marker({
    map,
    draggable: true,
    animation: google.maps.Animation.DROP,
    position: { lat: -6.362764, lng: 106.827049 },  });
marker.addListener("click", toggleBounce);
}

function toggleBounce(e) {
  if (console.log)
      console.log(e);
   alert('You clicked in this marker');
   window.location.href = '/roti/penjual1/';
}


<!--var map, marker;-->
<!--function myMap() {-->

<!--  $.get('/roti/', function(response) {-->
<!--    var latLng = {lat: response.lat, lng: response.lng};-->
<!--    map = new google.maps.Map(document.getElementById('googleMap'), {-->
<!--      center: latLng,-->
<!--      zoom: 15-->
<!--    });-->
<!--    marker = new google.maps.Marker({-->
<!--      position: latLng,-->
<!--      map: map,-->
<!--      draggable: true,-->
<!--    }-->
<!--    );-->
<!--    marker.addListener("click", toggleBounce);-->
<!--  });-->
<!--}-->

<!--function updateLocation() {-->

<!--  $.get('/location', function(response) {-->
<!--    var latLng = {lat: response.lat, lng: response.lng};-->
<!--    marker.setPosition(latLng);-->
<!--    map.panTo(latLng);-->
<!--  });-->
<!--}-->


<!--function toggleBounce(e) {-->
<!--  if (console.log)-->
<!--      console.log(e);-->
<!--   window.location.href = '/roti/penjual1/';-->
<!--}-->
</script>

<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCeUCrCMcyraz-gWfUomImsJ4di4jm3PEw&callback=myMap"></script>

</body>
</html> 